org.apache.ignite.ml.preprocessing.imputing

## Class ImputerPartitionData

- java.lang.Object
- - org.apache.ignite.ml.preprocessing.imputing.ImputerPartitionData

- All Implemented Interfaces:
    AutoCloseable

      public class ImputerPartitionData
      extends Object
      implements AutoCloseable

  Partition data used in imputing preprocessor.
  See Also:
    `ImputerTrainer`, `ImputerPreprocessor`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImputerPartitionData()` Constructs a new instance of imputing partition data.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `int[]` | `counts()` Gets the array of amounts of values in partition for each feature in the dataset.
    `double[]` | `maxs()` Gets the array of maximum of values in partition for each feature in the dataset.
    `double[]` | `mins()` Gets the array of minimum of values in partition for each feature in the dataset.
    `double[]` | `sums()` Gets the array of sums of values in partition for each feature in the dataset.
    `Map<Double,Integer>[]` | `valuesByFrequency()` Gets the array of maps of frequencies by value in partition for each feature in the dataset.
    `ImputerPartitionData` | `withCounts(int[] counts)` Sets the array of amounts of values in partition for each feature in the dataset.
    `ImputerPartitionData` | `withMaxs(double[] maxs)` Sets the array of maximum of values in partition for each feature in the dataset.
    `ImputerPartitionData` | `withMins(double[] mins)` Sets the array of minimum of values in partition for each feature in the dataset.
    `ImputerPartitionData` | `withSums(double[] sums)` Sets the array of sums of values in partition for each feature in the dataset.
    `ImputerPartitionData` | `withValuesByFrequency(Map<Double,Integer>[] valuesByFreq)` Sets the array of maps of frequencies by value in partition for each feature in the dataset.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImputerPartitionData

          public ImputerPartitionData()

      Constructs a new instance of imputing partition data.

  - ### Method Detail

    - #### sums

          public double[] sums()

      Gets the array of sums of values in partition for each feature in the dataset.
      Returns:
        The sums.

    - #### withSums

          public ImputerPartitionData withSums(double[] sums)

      Sets the array of sums of values in partition for each feature in the dataset.
      Parameters:
        `sums` - The given value.
      Returns:
        The partition data.

    - #### withCounts

          public ImputerPartitionData withCounts(int[] counts)

      Sets the array of amounts of values in partition for each feature in the dataset.
      Parameters:
        `counts` - The given value.
      Returns:
        The partition data.

    - #### withMaxs

          public ImputerPartitionData withMaxs(double[] maxs)

      Sets the array of maximum of values in partition for each feature in the dataset.
      Parameters:
        `maxs` - The given value.
      Returns:
        The partition data.

    - #### withMins

          public ImputerPartitionData withMins(double[] mins)

      Sets the array of minimum of values in partition for each feature in the dataset.
      Parameters:
        `mins` - The given value.
      Returns:
        The partition data.

    - #### counts

          public int[] counts()

      Gets the array of amounts of values in partition for each feature in the dataset.
      Returns:
        The counts.

    - #### maxs

          public double[] maxs()

      Gets the array of maximum of values in partition for each feature in the dataset.
      Returns:
        The counts.

    - #### mins

          public double[] mins()

      Gets the array of minimum of values in partition for each feature in the dataset.
      Returns:
        The counts.

    - #### valuesByFrequency

          public Map<Double,Integer>[] valuesByFrequency()

      Gets the array of maps of frequencies by value in partition for each feature in the dataset.
      Returns:
        The frequencies.

    - #### withValuesByFrequency

          public ImputerPartitionData withValuesByFrequency(Map<Double,Integer>[] valuesByFreq)

      Sets the array of maps of frequencies by value in partition for each feature in the dataset.
      Parameters:
        `valuesByFreq` - The given value.
      Returns:
        The partition data.

    - #### close

          public void close()

      Specified by:
        `close` in interface `AutoCloseable`

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022